MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Attributes
StateFile Class Referencefinal

`#include <StateFile.hxx>`

Inheritance diagram for StateFile:
[legend]
Collaboration diagram for StateFile:
[legend]

## Public Member Functions
| StateFile (AllocatedPath &&path, std::chrono::steady_clock::duration interval, Partition &partition, EventLoop &loop)
void | Read ()
void | Write ()
void | CheckModified ()
| Schedules a write if MPD's state was modified. More...

## Static Public Attributes
static constexpr std::chrono::steady_clock::duration | DEFAULT_INTERVAL = std::chrono::minutes(2)

## Detailed Description

Definition at line 34 of file StateFile.hxx.

## Constructor & Destructor Documentation

StateFile::StateFile | ( | AllocatedPath && | path,
|  | std::chrono::steady_clock::duration | interval,
|  | Partition & | partition,
|  | EventLoop & | loop
| ) |  |

## Member Function Documentation

void StateFile::CheckModified | ( |  | ) |

Schedules a write if MPD's state was modified.

void StateFile::Read | ( |  | ) |

void StateFile::Write | ( |  | ) |

## Field Documentation

constexpr std::chrono::steady_clock::duration StateFile::DEFAULT_INTERVAL = std::chrono::minutes(2)
| static

Definition at line 50 of file StateFile.hxx.

The documentation for this class was generated from the following file:

- StateFile.hxx